# frozen_string_literal: true
module Codebreaker
  module Phrases
    def greeting
      puts <<~HEREDOC
        Hello it`s a codebreaker
        for start Core write: "start"
        for show statistics write: "stat"
        for show rules write: "rules"
        in any moments you can exit just write: "exit"
      HEREDOC
    end

    def about_complexities
      puts <<~HEREDOC
        I have 3 levels of complexity
        easy: hints 2, attempts 15
        medium: hints 1, attempts 10
        hard: hints 1, attempts 5
        for choose complexity write: "easy", "medium" or "hard"
      HEREDOC
    end

    def about_name
      puts <<~HEREDOC
        Remember!
        your name must be from 3 to 25 letter
        write your name:
      HEREDOC
    end

    def rules
      puts <<~HEREDOC
        the game sets a task
        and this is a four-digit number
        the goal is to guess this number
        the game consists of 3 levels of difficulty easy, medium, hard
        if you guess digit position in number the game would give you "+"
        if you guess the presence of numbers in the number the game would give you "-"
        also you can take a hint which would show a random number
        the game will end when you guess the number or your hints will end
        good luck and have fun
      HEREDOC
    end

    def goodbye
      puts '<------------goodbye------------>'
      exit
    end

    def error_massage(validator)
      case validator
      when 'navigation'
        puts 'please write "start", "stat" or "rules"'
      when 'name'
        puts 'valid name must have 3-25 letters'
      when 'guess'
        puts 'valid guess must have 4 nunbers and you can take hint'
      when 'complexity'
        puts 'you have 3 level "easy", "medium", "hard"'
      end
    end

    def phrase_before_guess
      puts <<~HEREDOC
        numbers is ready
        try to guess or take a hint;)
      HEREDOC
    end

    def puts_hint(hint)
      puts "hint: #{hint}"
    end

    def zero_hint
      puts 'sorry but tips are over :('
    end

    def phrase_lose
      puts 'you lose :('
    end

    def show(obj)
      puts obj
    end

    def phrase_win
      puts '<----------------YOU---WIN---------------->'
    end

    def empty_statistic
      puts 'statistic is empty'
    end
  end
end
